//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop


#include "uMain.h"
#include "dllfunctionstypedefs.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TfmMain *fmMain;
//---------------------------------------------------------------------------
__fastcall TfmMain::TfmMain(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TfmMain::FormCreate(TObject *Sender)
{
	dllHandle = LoadLibrary("msgBox.dll");
	if(dllHandle)
	{
		MBox = (MBOX)GetProcAddress(dllHandle, "MBox");
		if(MBox) bnDllcall->Enabled = true;
		else
		{
			bnDllcall->Enabled = false;
			ShowMessage("Unable to find function adress");
		}
	}
	else
	{
		bnDllcall->Enabled = false;
		ShowMessage("Unable to load msgBox.dll");
	}
}
//---------------------------------------------------------------------------


void __fastcall TfmMain::bnDllcallClick(TObject *Sender)
{
	MBox("  ","  exe");
}
//---------------------------------------------------------------------------

void __fastcall TfmMain::FormClose(TObject *Sender, TCloseAction &Action)
{
	if(dllHandle)
	{
		FreeLibrary(dllHandle);
	}
}
//---------------------------------------------------------------------------

